Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.parameters
Class AbstractAParRuntimeModule

    java.lang.Object
      org.eclipse.xtext.service.AbstractGenericModule
          org.eclipse.xtext.service.DefaultRuntimeModule
              org.eclipse.amp.amf.parameters.AbstractAParRuntimeModule

All Implemented Interfaces:
  com.google.inject.Module

Direct Known Subclasses:
  AParRuntimeModule

    public abstract class AbstractAParRuntimeModule

extends org.eclipse.xtext.service.DefaultRuntimeModule

Manual modifications go to {org.eclipse.amp.amf.parameters.AParRuntimeModule}

Field Summary
`protected java.util.Properties` | `properties`

Constructor Summary
`AbstractAParRuntimeModule()`

Method Summary
`java.lang.Class<? extends org.eclipse.xtext.common.types.xtext.AbstractTypeScopeProvider>` | `bindAbstractTypeScopeProvider()`
`java.lang.Class<? extends AParJavaValidator>` | `bindAParJavaValidator()`
`java.lang.ClassLoader` | `bindClassLoaderToInstance()`
`java.lang.Class<? extends org.eclipse.xtext.resource.containers.IAllContainersState.Provider>` | `bindIAllContainersState$Provider()`
`java.lang.Class<? extends org.eclipse.xtext.parser.antlr.IAntlrTokenFileProvider>` | `bindIAntlrTokenFileProvider()`
`java.lang.Class<? extends org.eclipse.xtext.resource.IContainer.Manager>` | `bindIContainer$Manager()`
`java.lang.Class<? extends org.eclipse.xtext.formatting.IFormatter>` | `bindIFormatter()`
`java.lang.Class<? extends org.eclipse.xtext.generator.IGenerator>` | `bindIGenerator()`
`java.lang.Class<? extends org.eclipse.xtext.scoping.IGlobalScopeProvider>` | `bindIGlobalScopeProvider()`
`java.lang.Class<? extends org.eclipse.xtext.IGrammarAccess>` | `bindIGrammarAccess()`
`java.lang.Class<? extends org.eclipse.xtext.common.types.access.IJvmTypeProvider.Factory>` | `bindIJvmTypeProvider$Factory()`
`java.lang.Class<? extends org.eclipse.xtext.parser.IParser>` | `bindIParser()`
`java.lang.Class<? extends org.eclipse.xtext.parsetree.reconstr.IParseTreeConstructor>` | `bindIParseTreeConstructor()`
`java.lang.Class<? extends org.eclipse.xtext.naming.IQualifiedNameProvider>` | `bindIQualifiedNameProvider()`
`java.lang.Class<? extends org.eclipse.xtext.scoping.IScopeProvider>` | `bindIScopeProvider()`
`java.lang.Class<? extends org.eclipse.xtext.parser.antlr.ITokenDefProvider>` | `bindITokenDefProvider()`
`java.lang.Class<? extends org.eclipse.xtext.parser.ITokenToStringConverter>` | `bindITokenToStringConverter()`
`java.lang.Class<? extends org.eclipse.xtext.parser.antlr.Lexer>` | `bindLexer()`
`org.eclipse.xtext.common.types.TypesFactory` | `bindTypesFactoryToInstance()`
`void` | `configure(com.google.inject.Binder binder)`
`void` | `configureFileExtensions(com.google.inject.Binder binder)`
`void` | `configureIgnoreCaseLinking(com.google.inject.Binder binder)`
`void` | `configureIResourceDescriptions(com.google.inject.Binder binder)`
`void` | `configureIResourceDescriptionsBuilderScope(com.google.inject.Binder binder)`
`void` | `configureIScopeProviderDelegate(com.google.inject.Binder binder)`
`void` | `configureLanguageName(com.google.inject.Binder binder)`
`void` | `configureRuntimeLexer(com.google.inject.Binder binder)`
`com.google.inject.Provider<InternalAParLexer>` | `provideInternalAParLexer()`

Methods inherited from class org.eclipse.xtext.service.DefaultRuntimeModule
`bindConcreteSyntaxValidator, bindDiagnostician, bindEPackageRegistry, bindEValidatorRegistry, bindIAstFactory, bindIFragmentProvider, bindILinker, bindILinkingService, bindILocationInFileProvider, bindINodeModelFormatter, bindIPartialParserHelper, bindIResourceFactory, bindIResourceServiceProvider$Registry, bindISemanticSequencer, bindISerializer, bindITransientValueService, bindIValueConverterService, bindResourceSet, bindXtextResource, bindXtextResourceSet, configureGenericSemanticSequencer, configureIResourceDescriptionsLiveScope, configureLinkingIScopeProvider, configureRuntimeEncodingProvider, provideIEncodingProvider`

Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule
`bindProperties, getBindings, tryBindProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    protected java.util.Properties properties

Constructor Detail

### AbstractAParRuntimeModule

    public AbstractAParRuntimeModule()

Method Detail

### configure

    public void configure(com.google.inject.Binder binder)

  Specified by:
    `configure` in interface `com.google.inject.Module`
  Overrides:
    `configure` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

### configureLanguageName

    public void configureLanguageName(com.google.inject.Binder binder)

### configureFileExtensions

    public void configureFileExtensions(com.google.inject.Binder binder)

### bindIGrammarAccess

    public java.lang.Class<? extends org.eclipse.xtext.IGrammarAccess> bindIGrammarAccess()

### bindIParseTreeConstructor

    public java.lang.Class<? extends org.eclipse.xtext.parsetree.reconstr.IParseTreeConstructor> bindIParseTreeConstructor()

### bindIParser

    public java.lang.Class<? extends org.eclipse.xtext.parser.IParser> bindIParser()

### bindITokenToStringConverter

    public java.lang.Class<? extends org.eclipse.xtext.parser.ITokenToStringConverter> bindITokenToStringConverter()

  Overrides:
    `bindITokenToStringConverter` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

### bindIAntlrTokenFileProvider

    public java.lang.Class<? extends org.eclipse.xtext.parser.antlr.IAntlrTokenFileProvider> bindIAntlrTokenFileProvider()

### bindLexer

    public java.lang.Class<? extends org.eclipse.xtext.parser.antlr.Lexer> bindLexer()

### provideInternalAParLexer

    public com.google.inject.Provider<InternalAParLexer> provideInternalAParLexer()

### configureRuntimeLexer

    public void configureRuntimeLexer(com.google.inject.Binder binder)

### bindITokenDefProvider

    public java.lang.Class<? extends org.eclipse.xtext.parser.antlr.ITokenDefProvider> bindITokenDefProvider()

  Overrides:
    `bindITokenDefProvider` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

### bindAParJavaValidator

    public java.lang.Class<? extends AParJavaValidator> bindAParJavaValidator()

### bindIScopeProvider

    public java.lang.Class<? extends org.eclipse.xtext.scoping.IScopeProvider> bindIScopeProvider()

  Overrides:
    `bindIScopeProvider` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

### configureIScopeProviderDelegate

    public void configureIScopeProviderDelegate(com.google.inject.Binder binder)

### configureIgnoreCaseLinking

    public void configureIgnoreCaseLinking(com.google.inject.Binder binder)

### bindIQualifiedNameProvider

    public java.lang.Class<? extends org.eclipse.xtext.naming.IQualifiedNameProvider> bindIQualifiedNameProvider()

  Overrides:
    `bindIQualifiedNameProvider` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

### bindIContainer$Manager

    public java.lang.Class<? extends org.eclipse.xtext.resource.IContainer.Manager> bindIContainer$Manager()

  Overrides:
    `bindIContainer$Manager` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

### bindIAllContainersState$Provider

    public java.lang.Class<? extends org.eclipse.xtext.resource.containers.IAllContainersState.Provider> bindIAllContainersState$Provider()

### configureIResourceDescriptions

    public void configureIResourceDescriptions(com.google.inject.Binder binder)

  Overrides:
    `configureIResourceDescriptions` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

### configureIResourceDescriptionsBuilderScope

    public void configureIResourceDescriptionsBuilderScope(com.google.inject.Binder binder)

  Overrides:
    `configureIResourceDescriptionsBuilderScope` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

### bindIGenerator

    public java.lang.Class<? extends org.eclipse.xtext.generator.IGenerator> bindIGenerator()

### bindIFormatter

    public java.lang.Class<? extends org.eclipse.xtext.formatting.IFormatter> bindIFormatter()

  Overrides:
    `bindIFormatter` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

### bindClassLoaderToInstance

    public java.lang.ClassLoader bindClassLoaderToInstance()

### bindTypesFactoryToInstance

    public org.eclipse.xtext.common.types.TypesFactory bindTypesFactoryToInstance()

### bindIJvmTypeProvider$Factory

    public java.lang.Class<? extends org.eclipse.xtext.common.types.access.IJvmTypeProvider.Factory> bindIJvmTypeProvider$Factory()

### bindAbstractTypeScopeProvider

    public java.lang.Class<? extends org.eclipse.xtext.common.types.xtext.AbstractTypeScopeProvider> bindAbstractTypeScopeProvider()

### bindIGlobalScopeProvider

    public java.lang.Class<? extends org.eclipse.xtext.scoping.IGlobalScopeProvider> bindIGlobalScopeProvider()

  Overrides:
    `bindIGlobalScopeProvider` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD